package com.huimv.receive.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.receive.common.utils.Result;
import com.huimv.receive.entity.BaseDevice;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-09-04
 */
public interface IBaseDeviceService extends IService<BaseDevice> {
    //导出
    void printDevice(HttpServletResponse httpServletRequest, Map<String, String> paramsMap) throws Exception;

    //后台
    Result listCount(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);
    Result listSelect(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result addDevice(BaseDevice baseDevice);

    Result updateDevice(BaseDevice baseDevice);
}
